app-id: com.circlewithadot.Relibre
runtime: org.gnome.Platform
runtime-version: '47'
sdk: org.gnome.Sdk

sdk-extensions:
  - org.freedesktop.Sdk.Extension.golang

build-options:
  append-path: /usr/lib/sdk/golang/bin
  env:
    GOPATH: /run/build/relibre/.gopath

command: relibre
finish-args:
  - --share=network
  - --socket=wayland
  - --socket=fallback-x11
  - --filesystem=xdg-download

modules:
  - name: relibre
    buildsystem: simple
    build-commands:
      - go env -w CGO_ENABLED=1
      - |
        set -e
        files=$(grep -R -l 'webkit2gtk-4\.0' vendor || true)
        if [ -n "$files" ]; then
          sed -i 's/webkit2gtk-4\.0/webkit2gtk-4.1/g' $files
        fi
      - go build -mod=vendor -trimpath -ldflags "-s -w" -o /app/bin/relibre
      - if [ -f dist/com.circlewithadot.Relibre.desktop ]; then install -Dm644 dist/com.circlewithadot.Relibre.desktop /app/share/applications/com.circlewithadot.Relibre.desktop; fi
      - if [ -f dist/com.circlewithadot.Relibre.png ]; then install -Dm644 dist/com.circlewithadot.Relibre.png /app/share/icons/hicolor/512x512/apps/com.circlewithadot.Relibre.png; fi
    sources:
      - type: dir
        path: .

